---
updatedAt: 2026-08-03T18:10:37.000Z
---

# Get item report

 <div class="amber-callout" aria-label="Migration notice"><p><strong>Migrate to Global APIs:</strong> New sellers and approved Solution Providers should use Global APIs. Existing users must migrate to avoid disruption and access new capabilities coming to your market. Explore <a href ="https://developer.walmart.com/global-marketplace/docs/global-marketplace-apis" style="text-decoration: underline !important; font-weight: 700;">Global Marketplace migration resources</a>.</p></div><br>

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "version": "1.0",
    "title": "Item report",
    "description": "This API has been decommissioned, Please transition ASAP to using on request reports (https://developer.walmart.com/doc/ca/ca-mp/ca-mp-onrequestreports/), All pre-generated reports will be retired and only available on request."
  },
  "x-readme": {
    "samples-languages": [
      "shell"
    ],
    "proxy-enabled": false,
    "explorer-enabled": true
  },
  "servers": [
    {
      "url": "https://marketplace.walmartapis.com",
      "description": "Production URL"
    }
  ],
  "paths": {
    "/v3/getReport": {
      "get": {
        "tags": [
          "Reports"
        ],
        "summary": "Get item report",
        "description": " <div class=\"amber-callout\" aria-label=\"Migration notice\"><p><strong>Migrate to Global APIs:</strong> New sellers and approved Solution Providers should use Global APIs. Existing users must migrate to avoid disruption and access new capabilities coming to your market. Explore <a href =\"https://developer.walmart.com/global-marketplace/docs/global-marketplace-apis\" style=\"text-decoration: underline !important; font-weight: 700;\">Global Marketplace migration resources</a>.</p></div><br>",
        "operationId": "getItemReport",
        "parameters": [
          {
            "name": "type",
            "in": "query",
            "description": "report type",
            "required": true,
            "schema": {
              "type": "string",
              "default": "item_ca"
            }
          },
          {
            "name": "version",
            "in": "query",
            "description": "Use this query parameter (version=3) to access the latest version of the Item report that includes Competitor price data, Product tax code, MSRP, Shipping weight, Lag time, Fulfilment type, etc.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "header",
            "name": "WM_CONSUMER.CHANNEL.TYPE",
            "description": "A unique ID to track the consumer request by channel. Use the Consumer Channel Type received during onboarding",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "header",
            "name": "WM_QOS.CORRELATION_ID",
            "description": "A unique ID which identifies each API call and used to track and debug issues; use a random generated GUID for this ID",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "b3261d2d-028a-4ef7-8602-633c23200af6"
          },
          {
            "in": "header",
            "name": "WM_SVC.NAME",
            "description": "Walmart Service Name",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "Walmart Service Name"
          },
          {
            "name": "WM_SEC.TIMESTAMP",
            "in": "header",
            "description": "The Epoch timestamp",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "1443748249449"
          },
          {
            "name": "WM_SEC.AUTH_SIGNATURE",
            "in": "header",
            "description": "The vendor's digital signature, generated by running the JAR file or custom generation code",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "9fg3TPeRt0WSGbXNGGj4kSQ9L6PMBX.....9Zj5aDyg="
          },
          {
            "name": "WM_CONSUMER.ID",
            "in": "header",
            "description": "A unique ID required to access the API",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "Get the Consumer ID from Developer Center after logging in"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful Operation",
            "content": {
              "application/xml": {}
            }
          }
        }
      }
    }
  }
}
```